package com.sunxung.factoring.entity.financing.sop;

import org.hibernate.validator.constraints.NotBlank;

/**
 * @author liutao
 * @date 2022-10-31
 */
public class ReviewMasterContractApi {

    /**
     * 保理商联系人
     */
    @NotBlank(message = "保理商联系人不能为空")
    private String factoringAgentName;

    /**
     * 保理商联系人电话
     */
    @NotBlank(message = "保理商联系人电话不能为空")
    private String factoringAgentPhone;

    /**
     * 保理商联系人邮箱
     */
    @NotBlank(message = "保理商联系人邮箱不能为空")
    private String factoringAgentEmail;

    /**
     * 保理申请人统一社会信用码
     */
    @NotBlank(message = "保理申请人统一社会信用码不能为空")
    private String applicantSocialCreditCode;

    /**
     * 保理申请人公司法人
     */
    @NotBlank(message = "保理申请人公司法人不能为空")
    private String applicantCompanyLegalPerson;

    /**
     * 保理申请人公司注册地址
     */
    @NotBlank(message = "保理申请人公司注册地址不能为空")
    private String applicantCompanyAddress;

    /**
     * 保理申请人联系人
     */
    @NotBlank(message = "保理申请人联系人不能为空")
    private String applicantContact;

    /**
     * 保理申请人联系电话
     */
    @NotBlank(message = "保理申请人联系电话不能为空")
    private String applicantContactNumber;

    /**
     * 保理申请人邮箱
     */
    @NotBlank(message = "保理申请人邮箱不能为空")
    private String applicantEmail;

    /**
     * 保理专户(收汇)户名
     */
    private String factoringAccountName;

    /**
     * 保理专户(收汇)账户
     */
    private String factoringAccount;

    /**
     * 保理专户(收汇)开户行
     */
    private String factoringAccountBank;

    /**
     * 保理专户(结汇)户名
     */
    private String factoringAccountName2;

    /**
     * 保理专户(结汇)账户
     */
    private String factoringAccount2;

    /**
     * 保理专户(结汇)开户行
     */
    private String factoringAccountBank2;

    /**
     * 保理申请人指定账户户名
     */
    private String applicantDesignatedAccountName;

    /**
     * 保理申请人指定账户
     */
    private String applicantDesignatedAccount;

    /**
     * 保理申请人指定账户开户行
     */
    private String applicantDesignatedbank;

    /**
     * 我司指定账户户名
     */
    private String ourAccountName;

    /**
     * 我司指定账户
     */
    private String ourAccount;

    /**
     * 我司指定账户开户行
     */
    private String ourAccountBank;

    /**
     * 合同份数
     */
    private Integer contractNum;

    /**
     * 保理主合同特殊约定
     */
    private String specialAgreement;

    /**
     * 保理信息表特殊约定
     */
    private String factoringContractAgreement;

    /**
     * 融资确认书特殊约定
     */
    private String financingConfirmAgreement;

    /**
     * 本金支付方式
     */
    private String principalCollectionMethod;

    /**
     * 利息支付方式
     */
    private String interestCollectionMethod;

    /**
     * 管理费支付方式
     */
    private String managementFeeCollectionMethod;

    /**
     * 保证金支付方式
     */
    private String marginCollectionMethod;

    /**
     * 保证金退还方式
     */
    private String marginReturnMethod;

    /**
     * 保证金退还条件
     */
    private String marginReturnCondition;

    /**
     * 其他费用支付方式
     */
    private String otherFeeCollectionMethod;

    public String getFactoringAgentName() {
        return factoringAgentName;
    }

    public void setFactoringAgentName(String factoringAgentName) {
        this.factoringAgentName = factoringAgentName;
    }

    public String getFactoringAgentPhone() {
        return factoringAgentPhone;
    }

    public void setFactoringAgentPhone(String factoringAgentPhone) {
        this.factoringAgentPhone = factoringAgentPhone;
    }

    public String getFactoringAgentEmail() {
        return factoringAgentEmail;
    }

    public void setFactoringAgentEmail(String factoringAgentEmail) {
        this.factoringAgentEmail = factoringAgentEmail;
    }

    public String getApplicantSocialCreditCode() {
        return applicantSocialCreditCode;
    }

    public void setApplicantSocialCreditCode(String applicantSocialCreditCode) {
        this.applicantSocialCreditCode = applicantSocialCreditCode;
    }

    public String getApplicantCompanyLegalPerson() {
        return applicantCompanyLegalPerson;
    }

    public void setApplicantCompanyLegalPerson(String applicantCompanyLegalPerson) {
        this.applicantCompanyLegalPerson = applicantCompanyLegalPerson;
    }

    public String getApplicantCompanyAddress() {
        return applicantCompanyAddress;
    }

    public void setApplicantCompanyAddress(String applicantCompanyAddress) {
        this.applicantCompanyAddress = applicantCompanyAddress;
    }

    public String getApplicantContact() {
        return applicantContact;
    }

    public void setApplicantContact(String applicantContact) {
        this.applicantContact = applicantContact;
    }

    public String getApplicantContactNumber() {
        return applicantContactNumber;
    }

    public void setApplicantContactNumber(String applicantContactNumber) {
        this.applicantContactNumber = applicantContactNumber;
    }

    public String getApplicantEmail() {
        return applicantEmail;
    }

    public void setApplicantEmail(String applicantEmail) {
        this.applicantEmail = applicantEmail;
    }

    public String getFactoringAccountName() {
        return factoringAccountName;
    }

    public void setFactoringAccountName(String factoringAccountName) {
        this.factoringAccountName = factoringAccountName;
    }

    public String getFactoringAccount() {
        return factoringAccount;
    }

    public void setFactoringAccount(String factoringAccount) {
        this.factoringAccount = factoringAccount;
    }

    public String getFactoringAccountBank() {
        return factoringAccountBank;
    }

    public void setFactoringAccountBank(String factoringAccountBank) {
        this.factoringAccountBank = factoringAccountBank;
    }

    public String getFactoringAccountName2() {
        return factoringAccountName2;
    }

    public void setFactoringAccountName2(String factoringAccountName2) {
        this.factoringAccountName2 = factoringAccountName2;
    }

    public String getFactoringAccount2() {
        return factoringAccount2;
    }

    public void setFactoringAccount2(String factoringAccount2) {
        this.factoringAccount2 = factoringAccount2;
    }

    public String getFactoringAccountBank2() {
        return factoringAccountBank2;
    }

    public void setFactoringAccountBank2(String factoringAccountBank2) {
        this.factoringAccountBank2 = factoringAccountBank2;
    }

    public String getApplicantDesignatedAccountName() {
        return applicantDesignatedAccountName;
    }

    public void setApplicantDesignatedAccountName(String applicantDesignatedAccountName) {
        this.applicantDesignatedAccountName = applicantDesignatedAccountName;
    }

    public String getApplicantDesignatedAccount() {
        return applicantDesignatedAccount;
    }

    public void setApplicantDesignatedAccount(String applicantDesignatedAccount) {
        this.applicantDesignatedAccount = applicantDesignatedAccount;
    }

    public String getApplicantDesignatedbank() {
        return applicantDesignatedbank;
    }

    public void setApplicantDesignatedbank(String applicantDesignatedbank) {
        this.applicantDesignatedbank = applicantDesignatedbank;
    }

    public String getOurAccountName() {
        return ourAccountName;
    }

    public void setOurAccountName(String ourAccountName) {
        this.ourAccountName = ourAccountName;
    }

    public String getOurAccount() {
        return ourAccount;
    }

    public void setOurAccount(String ourAccount) {
        this.ourAccount = ourAccount;
    }

    public String getOurAccountBank() {
        return ourAccountBank;
    }

    public void setOurAccountBank(String ourAccountBank) {
        this.ourAccountBank = ourAccountBank;
    }

    public Integer getContractNum() {
        return contractNum;
    }

    public void setContractNum(Integer contractNum) {
        this.contractNum = contractNum;
    }

    public String getSpecialAgreement() {
        return specialAgreement;
    }

    public void setSpecialAgreement(String specialAgreement) {
        this.specialAgreement = specialAgreement;
    }

    public String getFactoringContractAgreement() {
        return factoringContractAgreement;
    }

    public void setFactoringContractAgreement(String factoringContractAgreement) {
        this.factoringContractAgreement = factoringContractAgreement;
    }

    public String getFinancingConfirmAgreement() {
        return financingConfirmAgreement;
    }

    public void setFinancingConfirmAgreement(String financingConfirmAgreement) {
        this.financingConfirmAgreement = financingConfirmAgreement;
    }

    public String getPrincipalCollectionMethod() {
        return principalCollectionMethod;
    }

    public void setPrincipalCollectionMethod(String principalCollectionMethod) {
        this.principalCollectionMethod = principalCollectionMethod;
    }

    public String getInterestCollectionMethod() {
        return interestCollectionMethod;
    }

    public void setInterestCollectionMethod(String interestCollectionMethod) {
        this.interestCollectionMethod = interestCollectionMethod;
    }

    public String getManagementFeeCollectionMethod() {
        return managementFeeCollectionMethod;
    }

    public void setManagementFeeCollectionMethod(String managementFeeCollectionMethod) {
        this.managementFeeCollectionMethod = managementFeeCollectionMethod;
    }

    public String getMarginCollectionMethod() {
        return marginCollectionMethod;
    }

    public void setMarginCollectionMethod(String marginCollectionMethod) {
        this.marginCollectionMethod = marginCollectionMethod;
    }

    public String getMarginReturnMethod() {
        return marginReturnMethod;
    }

    public void setMarginReturnMethod(String marginReturnMethod) {
        this.marginReturnMethod = marginReturnMethod;
    }

    public String getMarginReturnCondition() {
        return marginReturnCondition;
    }

    public void setMarginReturnCondition(String marginReturnCondition) {
        this.marginReturnCondition = marginReturnCondition;
    }

    public String getOtherFeeCollectionMethod() {
        return otherFeeCollectionMethod;
    }

    public void setOtherFeeCollectionMethod(String otherFeeCollectionMethod) {
        this.otherFeeCollectionMethod = otherFeeCollectionMethod;
    }
}
